> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of directories

> Tree structure of directories. 

This endpoint returns hierarchical data about directories in video hosting.



## OpenAPI

````yaml /api-reference/services_documented/streaming_api.yaml get /streaming/directories/tree
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Streaming API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: AI
    x-displayName: AI
  - name: Broadcasts
    x-displayName: Broadcasts
  - name: Directories
    x-displayName: Directories
  - name: Overlays
    x-displayName: Overlays
  - name: Players
    x-displayName: Players
  - name: Playlists
    x-displayName: Playlists
  - name: QualitySets
    x-displayName: QualitySets
  - name: Restreams
    x-displayName: Restreams
  - name: Streaming Statistics
    x-displayName: Statistics
  - name: Streams
    x-displayName: Streams
  - name: Subtitles
    x-displayName: Subtitles
  - name: Videos
    x-displayName: Videos
paths:
  /streaming/directories/tree:
    get:
      tags:
        - Directories
      summary: Get list of directories
      description: >-
        Tree structure of directories. 


        This endpoint returns hierarchical data about directories in video
        hosting.
      operationId: get_api_directories_tree
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/directories_tree'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            directories_tree = client.streaming.directories.get_tree()
            print(directories_tree.tree)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tdirectoriesTree, err := client.Streaming.Directories.GetTree(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", directoriesTree.Tree)\n}\n"
components:
  schemas:
    directories_tree:
      type: object
      properties:
        tree:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/directory_base'
            properties:
              descendants:
                type: array
                items:
                  $ref: '#/components/schemas/directories_tree'
                description: Array of subdirectories, if any.
                default: null
      example:
        tree:
          - id: 100
            name: New series
            parent_id: null
            items_count: 2
            created_at: '2024-07-01T18:00:00Z'
            updated_at: '2024-07-01T18:00:00Z'
            descendants:
              - id: 101
                name: New series, Season 1
                parent_id: 100
                items_count: 12
                created_at: '2024-07-01T18:10:00Z'
                updated_at: '2024-07-01T18:10:00Z'
                descendants: []
    directory_base:
      type: object
      properties:
        id:
          type: integer
          description: ID of the directory
        name:
          type: string
          description: Title of the directory
        parent_id:
          type: integer
          description: ID of a parent directory. "null" if it's in the root.
          default: null
        items_count:
          type: integer
          description: >-
            Number of objects in this directory. Counting files and folders. The
            quantity is calculated only at one level (not recursively in all
            subfolders).
        created_at:
          type: string
          description: Time of creation. Datetime in ISO 8601 format.
        updated_at:
          type: string
          description: >-
            Time of last update of the directory entity. Datetime in ISO 8601
            format.
      example:
        id: 100
        name: New series
        parent_id: null
        items_count: 2
        created_at: '2024-07-01T18:00:00Z'
        updated_at: '2024-07-01T18:00:00Z'
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````